Revoke API key
curl --request DELETE \
--url https://vitalog-api.example.com/v1/api-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vitalog-api.example.com/v1/api-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vitalog-api.example.com/v1/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"token_hint": "<string>",
"name": "<string>",
"access": "read",
"includeAdmin": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"status": "active",
"oauth_client_id": "<string>",
"oauth_client_name": "<string>",
"oauth_scopes": [
"<string>"
]
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"catalog_version": "<string>",
"issues": [
{
"path": "<string>",
"reason": "<string>",
"message": "<string>",
"suggested_keys": [
"<string>"
],
"discovery": {}
}
],
"existing_id": "<string>",
"current_version": 123,
"current_catalog_version": "<string>"
}Revoke API key
Revoke a generated API key, OAuth connection or browser session by ID. Already revoked records return their metadata. Requires the environment AUTH_KEY.
DELETE
/
v1
/
api-keys
/
{id}
Revoke API key
Authorizations
Environment AUTH_KEY. Full ledger access and primary API-key administration. Not OAuth or JWT.
Path Parameters
Response
Revoke a generated API key, OAuth connection or browser session by ID. Already revoked records return their metadata. Requires the environment AUTH_KEY.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
read, edit Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Available options:
active, expired, revoked Was this page helpful?
